PS4 News on Facebook! PS4 News on Twitter! PS4 News on YouTube! PS4 News RSS Feed!

Home PS4 News - Latest PlayStation 4 and PS3 News

224w ago - Recently drizzt84 has updated Gaia Manager for playing PlayStation 3 game backups to version 2.00, followed shortly by v2.01 and v2.02, which also support PS3 3.55 Custom Firmware.

Features now include integrated PS3 LV2 patching with peek and poke support, and the full changelogs are detailed below.

Download: Gaia Manager for PS3 CFW

V2.02 (3.55 CFW only) Features:

  • Fixed compatibility with old ps3s
  • Improved start up time (it's faster now)

V2.01 (3.55 CFW only) Features:

  • It does not try to load the syscall every time you start Gaia Manager, but only the first time. that should be fix some crashes when reopening Gaia Manager.
  • It's reported that if the PS3 crashes sometimes you will need to do an hard power off / power on (detaching cable and reattaching).

V2.00 (3.55 CFW only) Features:

  • Built for CFW 3.55 (with peek & poke support), integrate lv2 patching support (so, no need to use lv2.pkg). You need to remove old Gaia Manager from XMB before installing it

Finally, a video of Gaia Manager in action on PS3 Custom Firmware v3.55 is posted below!





Gaia Manager for PS3 Backups on Custom Firmware v3.55 Arrives

Follow us on Twitter, Facebook and drop by the PS3 Hacks and PS3 CFW forums for the latest PlayStation 3 scene and PS4 Hacks & JailBreak updates with PlayStation 4 homebrew PS4 Downloads.


  • Sponsored Links




#1240 - PS4 News - 113w ago
PS4 News's Avatar
Gaia is basically dated, you are better off trying the latest Iris or multiMAN for a PS3 backup game manager.

I will close this thread for the moment, at least until Gaia is updated again.. if ever.

#1239 - BraedonMorris - 113w ago
BraedonMorris's Avatar
Does this work on newest firmware?

#1238 - bigmit37 - 173w ago
bigmit37's Avatar
I currently have Gaia Manager 2.07 (or 2.09, the latest one) and am interested in using Multiman.

I have several games on my internal hard drive that I run through Gaia. Do I need to do anything specific to have those games read by Multiman?

I plan to delete Gaia manager after I install Multiman. Do I need to do anything specific to prevent deleting games from my internal hard drive as well?

Thank you so much.

#1237 - roman5566 - 173w ago
roman5566's Avatar
i don't know how or why but it's been working fine for me on gaia and on the new multiMAN... are you sure you did everything correctly ?

#1236 - MrMel - 173w ago
MrMel's Avatar
medal of honor does NOT work on 3.55 cfw kmea i've tried everything from all the tutorials and nothing works i use rogero manager. i tried installing gaia and multimman but none of them work on my ps3, at least the supposed proper versions of the programs that i have downloaded and put on my ps3, i am getting seriously PISSED OFF!

#1235 - PS4 News - 182w ago
PS4 News's Avatar
Here is a link to Gaia 2.07 but keep in mind it hasn't been updated lately and it appears drizzt84 also took the site in the first post offline as well.

Your best bet would probably be to use multiMAN as that is what most seem to use these days.

#1234 - 1juanone - 182w ago
1juanone's Avatar
How do I load it to my PS3's internal hard drive? I have Gaia Manager on mine, FWIW.

Actually, how do I download it?

#1233 - oVERSoLDiER - 186w ago
oVERSoLDiER's Avatar
Yes, you can bring it via FTP or external HDD on your PS3 and you can play every game that required Firmware 3.55 or below can be played without any problem. You can check the required Firmware version at damox.net/ps3gamesdb.php?type=PS3®ion=ALL in the PS3_SYSTEM_VERSION column.

#1232 - 1juanone - 186w ago
1juanone's Avatar
thanks for the reply. so do I just download and upload to my ps3? easy as that?

also how do i know what versions will be compatible? and how do i check?

#1231 - oVERSoLDiER - 186w ago
oVERSoLDiER's Avatar
First of all, the games are very cheap.

You can check the release notes from a game which you are interested in here (http://www.ps4news.com/subdomain.php?pagename=nfo) or look at the PARAM.SFO with an HEX-editor - when you downloaded and extract the game, to see which Firmware the EBOOT.BIN needs.